[
  {
    "chunk_id": 2,
    "chunk_type": "dataset",
    "human_description": "This is dataset 'xyDataset' definition for report 'ChartCustomizersReport'. Contains 3 fields: amount, probability, sales_state. Contains 0 parameters: none. No query.",
    "raw_xml": "<dataset name=\"xyDataset\" uuid=\"098b0755-483e-40aa-8ada-b6eaaa95a155\">\n\t\t<property name=\"net.sf.jasperreports.data.adapter\" value=\"data/XYCsvDataAdapter.jrdax\" />\n\t\t<field name=\"amount\" class=\"java.lang.Integer\" />\n\t\t<field name=\"probability\" class=\"java.lang.Integer\" />\n\t\t<field name=\"sales_state\" class=\"java.lang.String\" />\n\t\t<group name=\"salesState\">\n\t\t\t<expression>$F{sales_state}</expression>\n\t\t</group>\n\t\t<group name=\"probability\">\n\t\t\t<expression>$F{probability}</expression>\n\t\t</group>\n\t\t<group name=\"amount\">\n\t\t\t<expression>$F{amount}</expression>\n\t\t</group>\n\t</dataset>\n\t",
    "context": "Report 'ChartCustomizersReport' dataset 'xyDataset'",
    "metadata": {
      "dataset_name": "xyDataset",
      "field_names": [
        "amount",
        "probability",
        "sales_state"
      ],
      "parameter_names": [],
      "query": "",
      "query_language": "",
      "properties": {
        "net.sf.jasperreports.data.adapter": "data/XYCsvDataAdapter.jrdax"
      }
    }
  },
  {
    "chunk_id": 2,
    "chunk_type": "dataset",
    "human_description": "This is dataset 'xyDataset' definition for report 'ChartCustomizersReport'. Contains 3 fields: amount, probability, sales_state. Contains 0 parameters: none. No query.",
    "raw_xml": "<dataset name=\"xyDataset\" uuid=\"098b0755-483e-40aa-8ada-b6eaaa95a155\">\n\t\t<property name=\"net.sf.jasperreports.data.adapter\" value=\"data/XYCsvDataAdapter.jrdax\" />\n\t\t<field name=\"amount\" class=\"java.lang.Integer\" />\n\t\t<field name=\"probability\" class=\"java.lang.Integer\" />\n\t\t<field name=\"sales_state\" class=\"java.lang.String\" />\n\t\t<group name=\"salesState\">\n\t\t\t<expression>$F{sales_state}</expression>\n\t\t</group>\n\t\t<group name=\"probability\">\n\t\t\t<expression>$F{probability}</expression>\n\t\t</group>\n\t\t<group name=\"amount\">\n\t\t\t<expression>$F{amount}</expression>\n\t\t</group>\n\t</dataset>\n\t",
    "context": "Report 'ChartCustomizersReport' dataset 'xyDataset'",
    "metadata": {
      "dataset_name": "xyDataset",
      "field_names": [
        "amount",
        "probability",
        "sales_state"
      ],
      "parameter_names": [],
      "query": "",
      "query_language": "",
      "properties": {
        "net.sf.jasperreports.data.adapter": "data/XYCsvDataAdapter.jrdax"
      }
    }
  }
]